Create a network zone

POST /v1/zones

This operation creates a network zone for the specified account.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • context-based-restrictions.zone.create

Request

Request Body

NewZone

The network zone to create.

name

Required *

string

The name of the zone.

account_id

Required *

string

The id of the account owning this zone.

description

string

The description of the zone.

addresses

Required *

array

The list of addresses in the zone.

excluded

array

The list of excluded addresses in the zone. Only addresses of type `ipAddress`, `ipRange`, and `subnet` can be excluded.

Response

201 - Network zone created.

id

string

The globally unique ID of the zone.

crn

string

The zone CRN.

address_count

integer

The number of addresses in the zone.

excluded_count

integer

The number of excluded addresses in the zone.

name

string

The name of the zone.

account_id

string

The id of the account owning this zone.

description

string

The description of the zone.

addresses

array

The list of addresses in the zone.

excluded

array

The list of excluded addresses in the zone. Only addresses of type `ipAddress`, `ipRange`, and `subnet` can be excluded.

href

string

The href link to the resource.

created_at

string

The time the resource was created.

created_by_id

string

IAM ID of the user or service which created the resource.

last_modified_at

string

The last time the resource was modified.

last_modified_by_id

string

IAM ID of the user or service which modified the resource.

400 - The network zone could not be created due to an invalid or missing input parameter or request body.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

403 - The supplied authentication is not authorized to perform the operation.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

409 - The network zone could not be created due to an already existing zone with the same name.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

List network zones

GET /v1/zones

This operation lists network zones in the specified account.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • context-based-restrictions.zone.read

Request

Path Parameters

Query Parameters

account_id

Required *

string

The ID of the managing account.

name

string

The name of the zone.

sort

string

Sorts results by using a valid sort field. To learn more, see Sorting.

Response

200 - The network zones were successfully retrieved.

count

integer

The number of returned results.

zones

array

The returned zones.

400 - The network zones could not be retrieved due to an invalid or missing input parameter.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

403 - The supplied authentication is not authorized to perform the operation.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

Get a network zone

GET /v1/zones/{zone_id}

This operation retrieves the network zone identified by the specified zone ID.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • context-based-restrictions.zone.read

Request

Response

200 - The network zone was successfully retrieved.

id

string

The globally unique ID of the zone.

crn

string

The zone CRN.

address_count

integer

The number of addresses in the zone.

excluded_count

integer

The number of excluded addresses in the zone.

name

string

The name of the zone.

account_id

string

The id of the account owning this zone.

description

string

The description of the zone.

addresses

array

The list of addresses in the zone.

excluded

array

The list of excluded addresses in the zone. Only addresses of type `ipAddress`, `ipRange`, and `subnet` can be excluded.

href

string

The href link to the resource.

created_at

string

The time the resource was created.

created_by_id

string

IAM ID of the user or service which created the resource.

last_modified_at

string

The last time the resource was modified.

last_modified_by_id

string

IAM ID of the user or service which modified the resource.

400 - The network zone could not be retrieved due to an invalid or missing input parameter.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

403 - The supplied authentication is not authorized to perform the operation.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

404 - The network zone could not be found. Verify that the specified zone ID is valid.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

Replace a network zone

PUT /v1/zones/{zone_id}

This operation replaces the network zone identified by the specified zone ID. Partial updates are not supported. The entire network zone object must be replaced.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • context-based-restrictions.zone.update

Request

Request Body

NewZone

The network zone to replace.

name

Required *

string

The name of the zone.

account_id

Required *

string

The id of the account owning this zone.

description

string

The description of the zone.

addresses

Required *

array

The list of addresses in the zone.

excluded

array

The list of excluded addresses in the zone. Only addresses of type `ipAddress`, `ipRange`, and `subnet` can be excluded.

Path Parameters

Query Parameters

Response

200 - The network zone was successfully replaced.

id

string

The globally unique ID of the zone.

crn

string

The zone CRN.

address_count

integer

The number of addresses in the zone.

excluded_count

integer

The number of excluded addresses in the zone.

name

string

The name of the zone.

account_id

string

The id of the account owning this zone.

description

string

The description of the zone.

addresses

array

The list of addresses in the zone.

excluded

array

The list of excluded addresses in the zone. Only addresses of type `ipAddress`, `ipRange`, and `subnet` can be excluded.

href

string

The href link to the resource.

created_at

string

The time the resource was created.

created_by_id

string

IAM ID of the user or service which created the resource.

last_modified_at

string

The last time the resource was modified.

last_modified_by_id

string

IAM ID of the user or service which modified the resource.

400 - The network zone could not be replaced due to an invalid or missing input parameter.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

403 - The supplied authentication is not authorized to perform the operation.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

404 - The network zone could not be found. Verify that the specified zone ID is valid.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

412 - The network zone revision is missing or invalid.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

Delete a network zone

DELETE /v1/zones/{zone_id}

This operation deletes the network zone identified by the specified zone ID.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • context-based-restrictions.zone.delete

Request

Response

204 - The network zone was successfully deleted.

400 - The network zone could not be deleted due to an invalid or missing input parameter.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

403 - The supplied authentication is not authorized to perform the operation.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

404 - The network zone could not be found. Verify that the specified zone ID is valid.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

412 - Precondition not satisfied. A network zone cannot be deleted if it is referenced by one or more rules.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

List available service reference targets

GET /v1/zones/serviceref_targets

This operation lists all available service reference targets.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

This operation does not require you to be assigned an IAM access role.

  • N/A

Request

Path Parameters

Query Parameters

type

string

Specifies the types of services to retrieve

Response

200 - The service reference targets were successfully retrieved.

count

integer

The number of returned results.

targets

array

The list of service reference targets.

400 - The service reference targets could not be retrieved due to an invalid or missing input parameter.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

Get service reference target for a specified service name

GET /v1/zones/serviceref_targets/{service_name}

This operation gets the service reference target for a specified service name

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

This operation does not require you to be assigned an IAM access role.

  • N/A

Request

Response

200 - The service reference target was successfully retrieved.

service_name

string

The name of the service.

service_type

string

The type of the service.

locations

array

The locations the service is available.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

404 - No service reference target found for specified service name.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

Create a rule

POST /v1/rules

This operation creates a rule for the specified account.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • cbr.rule.create

Request

Request Body

NewRule

The rule to create.

description

string

The description of the rule.

contexts

Required *

array

The contexts this rule applies to.

resources

Required *

array

The resources this rule apply to.

operations

object

The operations this rule applies to.

api_types

Required *

array

The API types this rule applies to.

enforcement_mode

string

The rule enforcement mode:

  • `enabled` - The restrictions are enforced and reported. This is the default.
  • `disabled` - The restrictions are disabled. Nothing is enforced or reported.
  • `report` - The restrictions are evaluated and reported, but not enforced.

Response

201 - Rule created.

id

string

The globally unique ID of the rule.

crn

string

The rule CRN.

description

string

The description of the rule.

contexts

array

The contexts this rule applies to.

resources

array

The resources this rule apply to.

operations

object

The operations this rule applies to.

enforcement_mode

string

The rule enforcement mode:

  • `enabled` - The restrictions are enforced and reported. This is the default.
  • `disabled` - The restrictions are disabled. Nothing is enforced or reported.
  • `report` - The restrictions are evaluated and reported, but not enforced.

href

string

The href link to the resource.

created_at

string

The time the resource was created.

created_by_id

string

IAM ID of the user or service which created the resource.

last_modified_at

string

The last time the resource was modified.

last_modified_by_id

string

IAM ID of the user or service which modified the resource.

400 - The rule could not be created due to an invalid or missing input parameter or request body.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

403 - The supplied authentication is not authorized to perform the operation.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

List rules

GET /v1/rules

This operation lists rules in the specified account.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • cbr.rule.read

Request

Path Parameters

Query Parameters

account_id

Required *

string

The ID of the managing account.

region

string

The `region` resource attribute.

resource

string

The `resource` resource attribute.

resource_type

string

The `resourceType` resource attribute.

service_instance

string

The `serviceInstance` resource attribute.

service_name

string

The `serviceName` resource attribute.

service_type

string

The rule's `serviceType` resource attribute.

service_group_id

string

The rule's `service_group_id` resource attribute.

zone_id

string

The globally unique ID of the zone.

sort

string

Sorts results by using a valid sort field. To learn more, see Sorting.

enforcement_mode

string

The rule's `enforcement_mode` attribute.

Response

200 - The rules were successfully retrieved.

count

integer

The number of returned results.

rules

array

The returned rules.

400 - The rules could not be retrieved due to an invalid or missing input parameter.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

403 - The supplied authentication is not authorized to perform the operation.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

Get a rule

GET /v1/rules/{rule_id}

This operation retrieves the rule identified by the specified rule ID.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • cbr.rule.read

Request

Response

200 - The rule was successfully retrieved.

id

string

The globally unique ID of the rule.

crn

string

The rule CRN.

description

string

The description of the rule.

contexts

array

The contexts this rule applies to.

resources

array

The resources this rule apply to.

operations

object

The operations this rule applies to.

enforcement_mode

string

The rule enforcement mode:

  • `enabled` - The restrictions are enforced and reported. This is the default.
  • `disabled` - The restrictions are disabled. Nothing is enforced or reported.
  • `report` - The restrictions are evaluated and reported, but not enforced.

href

string

The href link to the resource.

created_at

string

The time the resource was created.

created_by_id

string

IAM ID of the user or service which created the resource.

last_modified_at

string

The last time the resource was modified.

last_modified_by_id

string

IAM ID of the user or service which modified the resource.

400 - The rule could not be retrieved due to an invalid or missing input parameter.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

403 - The supplied authentication is not authorized to perform the operation.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

404 - The rule could not be found. Verify that the specified rule ID is valid.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

Replace a rule

PUT /v1/rules/{rule_id}

This operation replaces the rule identified by the specified rule ID. Partial updates are not supported. The entire rule object must be replaced.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • cbr.rule.update

Request

Request Body

NewRule

The rule to replace.

description

string

The description of the rule.

contexts

Required *

array

The contexts this rule applies to.

resources

Required *

array

The resources this rule apply to.

operations

object

The operations this rule applies to.

api_types

Required *

array

The API types this rule applies to.

enforcement_mode

string

The rule enforcement mode:

  • `enabled` - The restrictions are enforced and reported. This is the default.
  • `disabled` - The restrictions are disabled. Nothing is enforced or reported.
  • `report` - The restrictions are evaluated and reported, but not enforced.

Path Parameters

Query Parameters

Response

200 - The rule was successfully replaced.

id

string

The globally unique ID of the rule.

crn

string

The rule CRN.

description

string

The description of the rule.

contexts

array

The contexts this rule applies to.

resources

array

The resources this rule apply to.

operations

object

The operations this rule applies to.

enforcement_mode

string

The rule enforcement mode:

  • `enabled` - The restrictions are enforced and reported. This is the default.
  • `disabled` - The restrictions are disabled. Nothing is enforced or reported.
  • `report` - The restrictions are evaluated and reported, but not enforced.

href

string

The href link to the resource.

created_at

string

The time the resource was created.

created_by_id

string

IAM ID of the user or service which created the resource.

last_modified_at

string

The last time the resource was modified.

last_modified_by_id

string

IAM ID of the user or service which modified the resource.

400 - The rule could not be replaced due to an invalid or missing input parameter.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

403 - The supplied authentication is not authorized to perform the operation.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

404 - The rule could not be found. Verify that the specified rule ID is valid.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

412 - The rule revision is missing or invalid.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

Delete a rule

DELETE /v1/rules/{rule_id}

This operation deletes the rule identified by the specified rule ID.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • cbr.rule.delete

Request

Response

204 - The rule was successfully deleted.

400 - The rule could not be deleted due to an invalid or missing input parameter.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

403 - The supplied authentication is not authorized to perform the operation.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

404 - The rule could not be found. Verify that the specified rule ID is valid.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

Get account settings

GET /v1/account_settings/{account_id}

This operation retrieves the settings for the specified account ID.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • context-based-restrictions.account-settings.read

Request

Response

200 - The account settings were successfully retrieved.

id

string

The globally unique ID of the account settings.

crn

string

The account settings CRN.

rule_count_limit

integer

the max number of rules allowed for the account.

zone_count_limit

integer

the max number of zones allowed for the account.

tags_rule_count_limit

integer

the max number of rules with tags allowed for the account.

current_rule_count

integer

the current number of rules used by the account.

current_zone_count

integer

the current number of zones used by the account.

current_tags_rule_count

integer

the current number of rules with tags used by the account.

href

string

The href link to the resource.

created_at

string

The time the resource was created.

created_by_id

string

IAM ID of the user or service which created the resource.

last_modified_at

string

The last time the resource was modified.

last_modified_by_id

string

IAM ID of the user or service which modified the resource.

400 - The account settings could not be retrieved due to an invalid or missing input parameter.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

403 - The supplied authentication is not authorized to perform the operation.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too Many Requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

List available service operations

GET /v1/operations

This operation lists all available service operations.

Request

Response

200 - The service operations were successfully retrieved.

api_types

array

The returned API types.

400 - The service operations could not be retrieved due to an invalid or missing input parameter.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

401 - You are not authorized to make this request. The token is either missing, invalid, or expired.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

429 - Too many requests.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.

503 - A backend service required to complete the operation is unavailable. Try again later.

errors

array

An array with at least one error.

trace

string

A lowercase UUID uniquely identifying the request.

status_code

integer

The HTTP status code used for the response.